
QGIS Application - Bug report #8209

Print as raster doesn't work on OsX

2013-07-02 09:54 AM - rcline -

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.4.0 Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17024

Description

If print as raster is selected and set to 72 dpi, then the map is scaled correctly but quality is poor. As the dpi is increased, I get a smaller

and smaller upper-left corner of the map filling the whole page. At 300 dpi I get about a quarter (length) of the map blown up to fill the

whole page. Saving as PDF works correctly. Doesn't appear to be effected by page size.

Printing worked in 1.8 so I set to blocker.

History

#1 - 2013-07-02 02:13 PM - Nyall Dawson

I can't replicate this - can you please share some more details (preferably if you can share your project file here so I can test directly -- failing that a

screencast showing the issue would help considerably).

#2 - 2013-07-03 06:26 AM - rcline -

- File printComposer.png added

- File printAsRasterOn.pdf added

- File printAsRasterOff.pdf added

If Print as raster is checked in the Composition tab, any project will produce the error including having only a single shapefile loaded. The file

printComposer.png shows the settings. If Print as raster is checked, the I get the results in printAsRasterOn.pdf. If it is not selected, then I get the expected

results shown in printAsRasterOff.pdf. The problem is also present in QGIS 1.8. It appears I just never used the setting. I was experimenting with blend

modes and apparently did not get all the settings reverted. I was getting the Project contains composition effects dialog and accepting its default of Print as

raster on. Since the problem is present in 1.8, the priority could be reduces, however this impacts the use of the new blend modes.

#3 - 2013-07-03 02:13 PM - Nyall Dawson

Hmm... still can't reproduce this unfortunately. It may be an OSX specific issue...

Just to confirm, which method are you using to create the PDFs? Are you using the "Export as PDF" toolbar button/menu item, or printing the composition

to a PDF driver?

#4 - 2013-07-03 03:22 PM - rcline -

Using Print in the toolbar and either going directly to a printer or going to the PDF driver in Mac print dialog gives the same results. "Export as PDF" works.

Tested "Export as PDF" doing a blend of a DEM and its hill shade. Given there is a good alternative to get quality output when doing blends, I would not
consider the problem a blocker at this point.

#5 - 2013-07-05 02:51 AM - Giovanni Manghi

- Status changed from Open to Feedback

rcline - wrote:

Using Print in the toolbar and either going directly to a printer or going to the PDF driver in Mac print dialog gives the same results. "Export as PDF"

works. Tested "Export as PDF" doing a blend of a DEM and its hill shade. Given there is a good alternative to get quality output when doing blends,

I would not consider the problem a blocker at this point.

have you testes another OS, just to exclude a OS-specific bug? thanks.

#6 - 2013-07-08 04:52 AM - rcline -

Only able to test with OS X.

#7 - 2013-07-08 09:16 AM - Giovanni Manghi

rcline - wrote:

Only able to test with OS X.

then please share a project (and data) to allow us try in other OSes.

#8 - 2013-07-18 05:30 AM - rcline -

If "Print as raster" is selected, the Mac print driver assumes that the raster has a resolution of 72 dpi, no matter to what value the export resolution is set. If

export resolution is set to 72 dpi the the map will print correctly (exact area as seen in print composer). If the export resolution is set to 300 dpi and in page

setup the scale is set to 24% (72/300) the map prints correctly.  If the export resolution is set to 600 dpi and in page setup the scale is set to 12% (72/600)

the map prints correctly.

It would appear that rasters resolution defined by"Export resolution" is not getting passed correctly to the Mac print driver and it defaults to 72 dpi so it

prints the upper-left corner of what it thinks is a very large low resolution raster.

The problem is not project or data related. I can start QGIS, open a new print composer, draw a rectangle, and click the check box for "Print as raster" and

reproduce the problem. I have not even used "Add new map".

#9 - 2013-08-12 07:14 AM - Giovanni Manghi

- Priority changed from Severe/Regression to Normal

rcline - wrote:

Given there is a good alternative to get quality output when doing blends, I would not consider the problem a blocker at this point.
ok

#10 - 2013-08-12 07:27 AM - Giovanni Manghi

- Subject changed from Print as raster doesn't work to Print as raster doesn't work on OsX

#11 - 2014-01-30 11:40 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#12 - 2014-04-06 06:04 AM - Jürgen Fischer

- Category changed from 33 to Map Composer/Printing

#13 - 2014-06-21 02:48 PM - Giovanni Manghi

is this still an issue on latest master?

#14 - 2014-10-14 01:00 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.4.0

- Status changed from Feedback to Open

- OS version deleted (10.8.3)

I confirm this issue on qgis 2.4 on the latest osx release.

#15 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#16 - 2019-03-09 03:11 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

printComposer.png 629 KB 2013-07-03 rcline -

printAsRasterOn.pdf 1.61 MB 2013-07-03 rcline -

printAsRasterOff.pdf 1.93 MB 2013-07-03 rcline -
